Zum Hauptinhalt springen
POST
/
media
Create media
curl --request POST \
  --url https://api.youka.io/api/v1/media \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputFileId": "<string>",
  "type": "video"
}
'
{
  "id": "<string>",
  "type": "video",
  "url": "<string>",
  "status": "processing",
  "error": "<string>",
  "width": 123,
  "height": 123,
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "previewUrl": "<string>"
}

Autorisierungen

Authorization
string
header
erforderlich

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Header

Idempotency-Key
string

Body

application/json
inputFileId
string
erforderlich
type
enum<string>
erforderlich
Verfügbare Optionen:
video,
image,
logo,
intro-video,
outro-video

Antwort

200 - application/json

Media created

id
string
erforderlich
type
enum<string>
erforderlich
Verfügbare Optionen:
video,
image,
logo,
intro-video,
outro-video
url
string<uri>
erforderlich
status
enum<string>
erforderlich
Verfügbare Optionen:
processing,
ready,
failed
error
string | null
erforderlich
width
number
erforderlich
height
number
erforderlich
createdAt
string
erforderlich
updatedAt
string
erforderlich
previewUrl
string<uri> | null